import { ComponentType } from 'react'
import { SelectMenuProps, StyledComponent } from '../../common'

export interface VideoToggleButtonProps {
  videoIsOn: boolean
  toggleVideo: () => void
  videoIsLoading?: boolean
}

export interface VideoControlMenuComponents {
  VideoControlMenu?: ComponentType<SelectMenuProps>
}

export interface VideoControlMenu {
  onVideoDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void
  components?: VideoControlMenuComponents
}

export type VideoControlButtonProps = VideoToggleButtonProps & Partial<VideoControlMenu> & StyledComponent
